Bug 49481 - new module "unique_object_sids" prevents modification of objectSid in samba
new module "unique_object_sids" prevents modification of objectSid in samba
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: S4 Connector
UCS 4.3
Other Linux
: P5 normal (vote)
: UCS 4.3-4-errata
Assigned To: Felix Botner
Arvid Requate
:
Depends on:
Blocks: 49479
  Show dependency treegraph
 
Reported: 2019-05-15 13:35 CEST by Felix Botner
Modified: 2019-05-29 13:51 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2019-05-15 13:35:31 CEST
+++ This bug was initially created as a clone of Bug #48421 +++

which is bad for UCS@school

Traceback (most recent call last):
  File "<string>", line 9, in <module>
  File "ldap_glue_s4.py", line 161, in set_attribute_with_provision_ctrl
    [(ldap.MOD_REPLACE, key, value)], serverctrls=ctrls)
  File "/usr/lib/python2.7/dist-packages/ldap/ldapobject.py", line 374, in modify_ext_s
    resp_type, resp_data, resp_msgid, resp_ctrls = self.result3(msgid,all=1,timeout=self.timeout)
  File "/usr/lib/python2.7/dist-packages/ldap/ldapobject.py", line 514, in result3
    resp_ctrl_classes=resp_ctrl_classes
  File "/usr/lib/python2.7/dist-packages/ldap/ldapobject.py", line 521, in result4
    ldap_result = self._ldap_call(self._l.result4,msgid,all,timeout,add_ctrls,add_intermediates,add_extop)
  File "/usr/lib/python2.7/dist-packages/ldap/ldapobject.py", line 106, in _ldap_call
    result = func(*args,**kwargs)
ldap.UNWILLING_TO_PERFORM: {'info': '00002035: Modify of CN=grp1,DC=w2k12,DC=test rejected, as it is modifying an objectSID\n', 'desc': 'Server is unwilling to
Comment 1 Felix Botner univentionstaff 2019-05-15 14:25:03 CEST
5624fb4acd15b57c5239e88c563d34c87b85c06a
univention-s4-connector
ucs-test

c4cff2f7d9b61731ff02755536e8a38c8fe08643
yaml
Comment 2 Arvid Requate univentionstaff 2019-05-23 19:07:31 CEST
Verified:

* Code review of cherrypick: Ok
* Advisory: Ok
* UCS@school 4.3 Tests look good: https://jenkins.knut.univention.de:8181/job/UCSschool-4.3/job/Install%20Multiserver/lastCompletedBuild/testReport/
Comment 3 Arvid Requate univentionstaff 2019-05-29 13:51:27 CEST
<http://errata.software-univention.de/ucs/4.3/518.html>